Description
Heobxonmmo paspabotatb knacc ERRTelescopeDigitizer anaxuntusaumm ons getektopa RTelescope.

MO,EI,eﬂVIpOBaHI/Ie OTKAMKa NN ONOXUTU3AUNSA yUUTbIBAET rpaHy napHOCTb 3N1EKTPOHUKN, HES PEKTUBHOCTH, LWYMbI, TEMHbIE CYETHI
nnpooyumpyeT Takyto CTPYKTYypy OaHHbIX CUrHana, kak ecnum 6bl OH 6bin nony4yeH OT peasbHOro oetekrtopa.

B nepsom I'Ipl/l61'||/|)KeHVIVI BCE nepevncneHHblie Bblle SCpCpeKTbI Y4nTbIBAOTCA I'IpI/I6HI/I)KeHHO napaMmeTpn3oBaHHbIMU
pacnpegneneHmsiMm owmbok.

Knacc nonxeH 6b1Tb HacnenoeaH ot FairTask. MoxHo nocMoTtpeTb cTpykTypy B ERRTelescopeHitFinder. daktuyecku tack
neperoHseT AaHHble U3 ogHoro npencraeneHns (kK npumepy ERRTelescopePoint) B apyroe npencraeneHune (Ha30BeM 3TOT Knace
ERRTelescopeDigi). B kax,aoM cobbITUK Yy HAac ecTb KONMNEKLUMUS MOMHTOB Ha BXoAe U fonxHa 6biTb konnekums Digi Ha Beixoge. Digi
3TO B NepcnekTuBe CTPYKTypa LaHHbIX, KoTopas ByneT npuxoauTb ¢ peanbHOro netektopa. B peanbHOM feTekTope Mbl HE MOXEM
onpenennTb B Kakoe UMEHHO MECTO CeHcopa nonasna YyacTuua Mbl MOXEM CKadaTb ero HOMep, TakXXe He MOXEM onpenenvTb
MPOCTbIM CNOCOHOM CKOMbKO YacTUL, OAHOBPEMEHHO POAMIOCH/MOMNAN0 B CEHCOP U CKObKO KaxX Aas U3 HUX ocTaBuia B HEM
SHEPrvK, Mbl MOXEM cKasaTb TOMIbKO CYMMapHYH0 3Hepruto (koTopasi NoToM ByaeT B oTCHeTax aNeKTOPHUKM, a noka B
SHEepPreTUYECcKUX eanHMLax), TakxXe Mbl He MOXEM roOBOPUTb B paMkax CeHcopa Kakasi UMeHHO YacTuua B Kako MOMEHT B COBbITUM
B HEro nonana, Mbl 3aoMKCpyem BpeMs OT NEPBOM, Kak BPEMS NOSBNEHNS curHana. digi COoTBETCBYET CEKTOpy AeTekTopa, €
KOTOPOro Mbl 9NIEKTOHUKOM OYEM CHUMATb CUrHanN.

Knacc aaHHbix ERRTelescopeDigi HyxHo Hacnenosatb 0T FairMultiLinkedData(no3sonsiet otcnexusatb Ha 6ase Kakux opyrmx
06bekToB 06pa3oBaH) 1 pacnonoxmuTb B nanke data. OH JoNXeH conepXarb (HOMep ceHcopa, HoMep cekTopa( Mo HM Mbl MOTOM
6ynem BOCTOHABNMBATL KOOPAMHATY NMponeTa Kak LEHTP CEHCOPa), CYMMapHY0 SHEPruio MOUHTOB B CEKTOPE, BPEMS (KakK Bpems
camoro nepeoro novHTa B ceHcope)). C nomouwbio MeToaa digi->AddLink(FairLink("RTelesopePoint",iPoint)); nonxeH 6biTb
C/IMHKOBAM CO BCEMW NOMHTaMu, KOTOPbIE Y4aBCTOBAM B €r0 CO34aHNN.

OHepruio Digi pasbirpath kak MayccoBo pacnpeneneHme co 3Ha4eHNEM CyMMbl SHEPT WA NOMHTOB 1 curMoli 10 k3B (no ymonuaHuio y
novHToB Bce B [9B, Bpems ¢ curmoin 200 nc (y NOMHTOB celiyac B HC)

K ERRTelescopeDigitizer nob6aButb nHtepdeiic SetEThreshold(energy(KaB)) yctaHaBnunsatowmii nopor aHerpum 3anucu Digi. Ecnn
9Heprusa B digi nonyymMnach HUXe ero - He NuieM. OTO HYXHO, YTOBbl 0TPEe3aTh WYMOBbIE S3HEPrOBbIAENEHNS B TENEBCKONME.

History

#1 - 07/14/2017 07:24 AM - Vitaliy Schetinin

- Assignee changed from Anonymous to Mikhail Kozlov

#2 - 07/18/2017 08:43 AM - Vitaliy Schetinin

HemHoro CXMTpVIﬂ)) Ha camom nene B XN3HM y HAc eCTb NPOBO/IOYKN KOTOPbIE CHNTbIBAKOT CO BCEro CeKTopa 1 npoBO/IOYKM KOTOPbIE CYNTbIBAKOT CO
BCEro Konbua. Tak 4To NOMHT Ha caMOM Aene oopMMpyeT B faHHOM cnydae 2 digi. B oamH Hapo 3aHocuTb sectorNb, B opyroi sensorNb(Homep
KOJ'IbLI,a). Kak pacnpenenuTb BblaeneHne sHeprum no HAM y3Hato HEMHOI O No3Xe. noka nuiin o4Hy N TyXe B oba (TyT CKopee 3T0 He nmeet
3HA4YeHUs!, eCNIM HaM BaXHO TONbKO KOOPAMHATY BOCTaHoBUTL). Takxe Tebe HyXHo B digi 3aBecTu napameTp: side. side = 0 370 KonbLO (K
npumMepy), a side = 1 ato cekTop.

#3 - 07/18/2017 05:29 PM - Mikhail Kozlov

He coecem noHsan.
BbixoaunT, y Hac octaeTcs o4uH knacc digi, B HeM No napameTpy side onpeensiemM CeKTop 3TO UK KOMbLO 1 MPOCTO yABanBaeM faHHble C
pasHuLe B 00HOM napameTpe?

#4 - 07/18/2017 07:56 PM - Vitaliy Schetinin

BepHo. MoToMy 4TO B XU3HU UMEHHO Tak 1 ByaeT. [leno B TOM, 4To ecnv y Tebs B AeTeKTOp nonaayT ABEe YacTuubl 1 3aropsiTcs ABa Konbla 1 aga
cekTopa, To y Tebsi 6ynyT 4 NPENONOXEHNs O TOM, Fae nponeTena yacTvua. [1Ba n3 HUX BEPHbIX U ABa HE BEPHBIX
